Package org.springframework.security.access.expression.method

# Class ExpressionBasedAnnotationAttributeFactory

java.lang.Object
org.springframework.security.access.expression.method.ExpressionBasedAnnotationAttributeFactory

All Implemented Interfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`, `PrePostInvocationAttributeFactory`

@Deprecated public class ExpressionBasedAnnotationAttributeFactory extends Object implements PrePostInvocationAttributeFactory
Deprecated.
Use `AuthorizationManager` interceptors instead
`PrePostInvocationAttributeFactory` which interprets the annotation value as an expression to be evaluated at runtime.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`ExpressionBasedAnnotationAttributeFactory(MethodSecurityExpressionHandler handler)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`PostInvocationAttribute`
`createPostInvocationAttribute(String postFilterAttribute, String postAuthorizeAttribute)`
Deprecated.
`PreInvocationAttribute`
`createPreInvocationAttribute(String preFilterAttribute, String filterObject, String preAuthorizeAttribute)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionBasedAnnotationAttributeFactory

public ExpressionBasedAnnotationAttributeFactory(MethodSecurityExpressionHandler handler)
Deprecated.

## Method Details

### createPreInvocationAttribute

public PreInvocationAttribute createPreInvocationAttribute(String preFilterAttribute, String filterObject, String preAuthorizeAttribute)
Deprecated.

Specified by:
  `createPreInvocationAttribute` in interface `PrePostInvocationAttributeFactory`

### createPostInvocationAttribute

public PostInvocationAttribute createPostInvocationAttribute(String postFilterAttribute, String postAuthorizeAttribute)
Deprecated.

Specified by:
  `createPostInvocationAttribute` in interface `PrePostInvocationAttributeFactory`